INSTALLPKG(8)

NOME
installpkg - instala pacotes do Slackware.

SINOPSE
installpkg [ --warn ] [ --md5sum ] [ --root /outraraíz ] [ --infobox ] [ --menu ] [ --terse ] [ --ask ] [ --priority ADD|REC|OPT|SKP ] [ --tagfile /algumdiretorio/tagfile ] nomedopacote [ nomedopacote2 ... ]

DESCRIÇÃO
installpkg instala um ou vários pacotes binários *.tgz (ou .tbz, .tlz, .txz) projetados para serem utilizados com a distribuição Slackware Linux em seu sistema.

OPÇÕES

--warn nomedopacote
    Gera uma lista de arquivos que seriam sobreescritos para a saída padrão, mas na verdade não instala o pacote. A lista é formatada de uma forma adequada para ser usada como uma lista de arquivos para fazer backup.

--md5sum nomedopacote
    Grava o md5sum do pacote nos metadados escritos em /var/log/packages.

--root /outraraíz
    Instala usando uma localização diferente de / (o padrão) como raíz do sistema de arquivos onde instalar. No exemplo dado, usa /outraraíz no lugar. Configurar a variável de ambiente ROOT faz a mesma coisa.

--infobox
    Usa o /bin/dialog para mostrar uma caixa de diálogo informativa enquanto o pacote é instalado. Usado principalmente quando o installpkg é chamado de outros scripts.

--menu
    Usa o /bin/dialog para mostrar um menu perguntando o usuário se ele gostaria de instalar o(s) pacote(s) ou não. Usado geralmente quando o installpkg é chamado de outros scripts.

--terse
    Instala o pacote mostrando apenas uma linha de descrição na saída padrão.

--ask
    Usado com o modo -menu. Quando selecionado, sempre pergunta se um pacote deve ser instalado, independente de qual seja a prioridade do pacote.

--priority ADD|REC|OPT|SKP
    Quando estiver instalando com a opção -menu, o nível de prioridade dos pacotes (presente no arquivo "tagfile" no diretório do pacote) são usados para instalar automaticamente (ADD) ou pular (SKIP) um pacote, ou para sugerir ao usuário como recomendado (REC) ou opcional (OPT) se um menu for mostrado. Se uma prioridade for informada na linha de comando ela vai sobreescrever os valores presentes nos tagfiles de todos os pacotes da lista.

--tagfile /algumdiretorio/tagfile
    Especifica um arquivo diferente para ser usado para as prioridades de pacote (nesse exemplo, /algumdiretorio/tagfile será usado). O padrão é o "tagfile" no diretório do pacote.

EXEMPLOS

Instalar um pacote de fonte para o X:

installpkg font-bh-ttf-1.0.3-noarch-1.txz

Observe que se um pacote já estiver instalado, upgradepkg(8) deve ser usado ao invés disso.

Criar um backup dos arquivos que seriam sobreescritos se o pacote for instalado:

tar czvf /tmp/backup.tar.gz \
  $(installpkg --warn font-bh-ttf-1.0.3-noarch-1.txz)

AUTOR
Patrick J. Volkerding <volkerdi@slackware.com>

VER TAMBÉM
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8)